hledger-lib-1.32.3: A library providing the core functionality of hledger

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Read.TimedotReader

Contents

- Reader
- Misc other exports

Description

A reader for the "timedot" file format. Example:

    ;DATE
    ;ACCT  DOTS  # Each dot represents 15m, spaces are ignored
    ;ACCT  8    # numbers with or without a following h represent hours
    ;ACCT  5m   # numbers followed by m represent minutes

    ; on 2/1, 1h was spent on FOSS haskell work, 0.25h on research, etc.
    2/1
    fos.haskell   .... ..
    biz.research  .
    inc.client1   .... .... .... .... .... ....

    2/2
    biz.research  .
    inc.client1   .... .... ..

Synopsis

- reader :: MonadIO m => Reader m
- timedotfilep :: forall {m :: Type -> Type}. JournalParser m ParsedJournal

# Reader

reader :: MonadIO m => Reader m Source #

# Misc other exports

timedotfilep :: forall {m :: Type -> Type}. JournalParser m ParsedJournal Source #